// Copyright (C) 2006 Erik Dahlberg
// 
// This file is part of LSystem3D.
// 
// LSystem3D is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
// 
// LSystem3D is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with LSystem3D; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA




#ifndef COORDINATE_H
#define COORDINATE_H



/**
 * 3D coordinate
 */
class Coordinate
{
public:
    
    /**
     * Constructor
     */
    Coordinate();

    /**
     * Destructor
     */
    ~Coordinate();
    
    
    /**
     * Set coordinate
     * @param x the x-coordinate
     * @param y the y-coordinate
     * @param z the z-coordinate
     */
    void setXYZ(double x, double y, double z);
    
    
    /**
     * Get x-coordinate
     * @return the x-coordinate
     */
    double getX();
    
    /**
     * Get y-coordinate
     * @return the y-coordinate
     */
    double getY();
    
    /**
     * Get z-coordinate
     * @return the z-coordinate
     */
    double getZ();

protected:
    
    double _x, _y, _z;
};



#endif
